<ion-card *transloco="let t" class="card-row default-card">
  <div class="card-content">
    <div class="image-container">
      <img alt="" src="assets/feature-waste/img/esg-logo.svg" />
    </div>
    <div
      [innerHTML]="t('feature_waste.dashboard.esg_info_card_header')"
      class="content-text"
    ></div>
    <div class="content-text">
      {{ t('feature_waste.dashboard.esg_info_card_app') }}
    </div>
    <div class="more-information">
      @if (
        (deviceService.isIOS() && iosStoreUrl) ||
        (deviceService.isIOS() && androidStoreUrl)
      ) {
        <lib-custom-vertical-button
          *ngIf="deviceService.isNativePlatform()"
          class="icon-button-label"
          [startIcon]="'open_in_new'"
          [externalUrl]="externalUrl"
          (buttonClick)="openWasteAppUrl($event)"
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.inherit"
          [title]="t('feature_waste.dashboard.waste_app_header')"
        ></lib-custom-vertical-button>
      }
      @if (esgWebUrl) {
        <lib-custom-vertical-button
          class="icon-button-label"
          [startIcon]="'open_in_new'"
          [externalUrl]="this.esgWebUrl"
          (buttonClick)="openEsgUrl($event)"
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.inherit"
          [title]="t('feature_waste.dashboard.waste_ESG_header')"
        ></lib-custom-vertical-button>
      }
    </div>
  </div>
</ion-card>
